| **ID**                                              | **Details**                                                  | **Root cause**                                               | **Fix Method**                                               |
| --------------------------------------------------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------------------------------------------------------ |
| MYR-729https://sfxsw.atlassian.net/browse/MYR-729   | Test PF with the 4.2.3 branch code on B47R, sometimes PF dump takes more than 50ms to complete, this is risky and we need to figure out why it takes so long time. | After the pf irq is triggered,  it stays in arch_handle_interrupts exceeds 50ms and the intr is IRQ_FIS_EDGE2 and IRQ_FIS_EDGE0 | move pf dump task from admin core to core 7 turn off other interrupts after entering pf interrupt add judgment to abnormal_cmd_check of admin task and return directly |
| MYR-752https://sfxsw.atlassian.net/browse/MYR-752   | Myrtle_ASIC: Core 5 takes >50ms to pasue when PF comes       | w2p amt compute interface too slow                           | To fullfill the 2ms requirement, each FW interface must run as quickly as possible and unquestionably does as little things as possible. I speeded up the w2p computation procedure for block level calls. Fix was implemented and currently checking in active-dev |
| MYR-944https://sfxsw.atlassian.net/browse/MYR-944   | DMC after running PC_RandomWriteWithPFCrashRecovery.py       | When testing PFCrashRecovery related scripts, encountered uscc during parital block handling or when performing full disk scan for header extraction, the lpa parsed from the ccp header is incomplete, which leads to missing in the process of crash recovery The data of lpa is not restored successfully, so DMC appears | Modify the limit of tot_count in header extraction           |
| MYR-1765https://sfxsw.atlassian.net/browse/MYR-1765 | PF restore failed in PC_ProgramErrorDuringPFWithMapgeTask.py | PF restore polled a wrong rfs b2n, cause rfs stuck           | PF restrore should not poll rfs b2n                          |
| MYR-1798https://sfxsw.atlassian.net/browse/MYR-1798 | pf restore fail after system reboot                          | currently, our gsd/recovery, reset mix handle still has some issue,when do recovery, if PD comes, we need first finish recovery, then do PD when do PD, if cc.en pull up, then we need wait for PD finished, and then do reocovery.to help this, our softirq need little modification, that is the softirq handler need support "reentry", when exec sofiirq, if action can't be completed immediately, then we need return SMP_STATE_NONE, and then wait reentry of this softirq handler | When doing RECOVERY, a GSD(smp state to GSD) comes, wait for RECOVERY complete then perform GSD command. When doing GSD, CC.EN(smp state to recovery) comes, wait for GSD complete then perform CC.EN(smp state to recovery). |
| MYR-1832https://sfxsw.atlassian.net/browse/MYR-1832 | PF restore failed after PF happens when clean up nor         | If PF occurs when cleaning up nor, and pf dump is not turned on at this time, it will enter the state of freeze when powered on. | Use sync interface when pf cleaning up nor                   |
| MYR-2116https://sfxsw.atlassian.net/browse/MYR-2116 | WRONG_FOOTER_RECOVERY_DYRING_PARTIAL_BLK_HANDLE assert after PF | When PF occurs, if the size of the footer buf does not exceed 1M, the _is_bad_footer mark is 1, indicating that the footer buf will not be dumped, but after the pf restore is over, the _is_bad_footer mark is not cleared, which will lead to the latest footer buf When the PF is powered off, it will not be dumped, and the data before the _is_bad_footer marked as 1 is still recorded on the NAND, which will cause the data of the footer buf to be restored later to be wrong. | When prepare_stream_footer, initialize _is_bad_footer to 0, and when restore_footer_meta_data, no longer modify the value of _is_bad_footer |
| MYR-2141https://sfxsw.atlassian.net/browse/MYR-2141 | Whether it is a hot stream or a cold stream, the maplog buf should be sealed as the partial blk handle | maplog buf should be sealed in partial blk handle, whether it is hot stream or cold stream | When judging non-hot stream and footer data is invalid, also add maplog_sealed_workaround() |
| MYR-2202https://sfxsw.atlassian.net/browse/MYR-2202 | DMC in PC_LessIOMixPFWithoutGC.py                            | when PF recovery, sync nor interface is called to write PF complete signature to nor. While async interface is called to write evtlog checkpoint into nor. If they are called together, there will be conflicts. This conflict will cause the invalid mark of clean up nor to not be written to nor during pf restore, which will cause data that should be marked as invalid to be used as valid data when powered on, resulting in DMC. | The current fix method is to wait until the clean up nor of pf restore is completed and enable pf dump, and then set evtlog write and read ready, so that when the evtlog die switch is executed, the time of the asynchronous interface of nor called by evtlog will not be the same as the clean up of pf restore. The timing of synchronously writing nor is conflicting. |
| MYR-2230https://sfxsw.atlassian.net/browse/MYR-2230 | Format with PF, drive enter freeze mode                      | When there is a smp state change, smpmgr will firstly set an abort_running flag, it will let task scheduler skip running tasks and then smpmgr can do state switch immediately. After entering into state switch flow, this flag abort_running will be cleared, then it can process task pause and resume flow.But there is a case that after clearing the abort_running flag, a new smp state change request comes, it will reset the abort_running flag. The result is FW will stuck in state switch flow but cannot run any tasks. | Clear abort running flag during each running of state switch Add more debug info into PF nor Add back admin task state time cost check |

```
When doing RECOVERY, a GSD(smp state to GSD) comes, wait for RECOVERY complete then perform GSD command.
When doing GSD, CC.EN(smp state to recovery) comes, wait for GSD complete then perform CC.EN(smp state to recovery).
```

